<?php
$FName = "postings.html";
$MaxLines=20;
$DefaultMsg="";
$DefaultName="";

header("Content-Type: text/html; charset=utf-8");

function IP2Color($ip) {
	$parts = explode(".", $ip);
	$color = sprintf("%02s", dechex($parts[0])) .
		 sprintf("%02s", dechex($parts[1])) .
		 sprintf("%02s", dechex($parts[2]));
	return $color;
}

function StoreMsg() {
 	global $FName;
	global $MaxLines;

	if (!$_GET) { return; }  				// no posting available

	$IPAddr = $_SERVER["REMOTE_ADDR"];		// get clients IP address
	$Color = IP2Color($IPAddr);			// colorize IP address
	$Date = date("H:i:s");				// get time and Date

	$Name=htmlspecialchars(utf8_encode($_GET["Name"])); 
	if ($Name==$DefaultName) $Name=$IPAddr;
	$Message=htmlspecialchars(utf8_encode($_GET["Post"])); 
	if ($Message==$DefaultMsg) return; 
	$MsgExisting = file($FName);  			// read existing filename
	$f = fopen($FName, "w");
	if (!$f) {
		echo "Cannot open File ".$fname; 
		return;
	}
	$msg="<table>\r\n<tr><td class='PostIP' style='color:#".$Color."' title='".$IPAddr."'>".$Date."</td><td class='PostN'>".$Name."</td><td class='PostC'>".$Message."</td></tr>\r\n";
	fwrite($f,$msg);
	$LineNr=-1; 
	foreach ($MsgExisting as $value) {
 		$LineNr++;	
		if ($LineNr == 0) continue;
		if ($LineNr > $MaxLines) break;
		else fwrite($f, $value);
	}
	if ($value != "</table>") fwrite($f,"</table>");
	fclose($f);	
}

StoreMsg();
return false;
?>

